# obey_the_testing_goat

how to write text

# headline 1

## headline 2

- [x] how to create a checkbox
- list easy

```
how to write code
```
#online-git repo
1. in GitLab einloggen
2. Create [new project]
3. Gruppe = Ordner
4. Clone -> Clone with HTTPS "Copy URL"

#terminal
- im Ordner: [option] auf keyboard -> copy "_" as pathname
- ```cd [paste]```
- ```git clone [paste]```
- a prompt is the tab
- ```which python```: usr/bin/python -> system-installed one // ```which python3```: /Library/Frameworks/Python.framework/Versions/3.8/bin/python3


#PyCharm
1. [open folder]
2. terminal
3. in readme four horizontal lines for writing in it

#Source
- https://www.obeythetestinggoat.com/pages/book.html#toc

#pip (python installing package)
- in t: type ```python -V``` // ```python3 -V``` to get version
- immer immer pip3 package-name, fuer diesen Mac.

#IDE = integrated development enviornment

#work with others
##hand-over
```pip3 freeze >> requirements.txt```

##start someone else's project
```pip3 install -r requirements.txt```

#things to ignore:
- 